package framework.AI;

import java.util.ArrayList;

public interface IState {
	
	abstract ArrayList<IState> getSuccessors();

	abstract void addSuccessor(IState s);
	/**
	 * 探査元のノード取得。
	 * @return
	 * 探査元のノードを返す。
	 */
	abstract IState getParent();
}
